eID middleware |

# be.portugal.eid.PTEID_ExNoReader Class Reference

Exception class No reader (error code = EIDMW_ERR_NO_READER). More...

Inheritance diagram for be.portugal.eid.PTEID_ExNoReader:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_ExNoReader ()
| Constructor.
## Protected Member Functions
| PTEID_ExNoReader (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ExNoReader obj)

## Detailed Description

Exception class No reader (error code = EIDMW_ERR_NO_READER).

Thrown when the reader set is empty Used in : - PTEID_Object.checkContextStillOk()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExNoReader.PTEID_ExNoReader | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExNoReader.PTEID_ExNoReader | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExNoReader.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExNoReader.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExNoReader.getCPtr | ( | PTEID_ExNoReader | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExNoReader.swigCPtr.